From: James Clark <james.clark@arm.com>
To: linux-perf-users@vger.kernel.org, irogers@google.com,
namhyung@kernel.org
Cc: James Clark <james.clark@arm.com>,
Peter Zijlstra <peterz@infradead.org>,
Ingo Molnar <mingo@redhat.com>,
Arnaldo Carvalho de Melo <acme@kernel.org>,
Mark Rutland <mark.rutland@arm.com>,
Alexander Shishkin <alexander.shishkin@linux.intel.com>,
Jiri Olsa <jolsa@kernel.org>,
Adrian Hunter <adrian.hunter@intel.com>,
"Liang, Kan" <kan.liang@linux.intel.com>,
Athira Rajeev <atrajeev@linux.vnet.ibm.com>,
Spoorthy S <spoorts2@in.ibm.com>, Leo Yan <leo.yan@linux.dev>,
linux-kernel@vger.kernel.org
Subject: [PATCH v2 4/4] perf tests: Remove dependency on lscpu
Date: Wed, 10 Apr 2024 11:34:55 +0100 [thread overview]
Message-ID: <20240410103458.813656-5-james.clark@arm.com> (raw)
In-Reply-To: <20240410103458.813656-1-james.clark@arm.com>
This check can be done with uname which is more portable. At the same
time re-arrange it into a standard if statement so that it's more
readable.
Signed-off-by: James Clark <james.clark@arm.com>
---
tools/perf/tests/shell/test_arm_callgraph_fp.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/tools/perf/tests/shell/test_arm_callgraph_fp.sh b/tools/perf/tests/shell/test_arm_callgraph_fp.sh
index 83b53591b1ea..61898e256616 100755
--- a/tools/perf/tests/shell/test_arm_callgraph_fp.sh
+++ b/tools/perf/tests/shell/test_arm_callgraph_fp.sh
@@ -6,7 +6,9 @@ shelldir=$(dirname "$0")
# shellcheck source=lib/perf_has_symbol.sh
. "${shelldir}"/lib/perf_has_symbol.sh
-lscpu | grep -q "aarch64" || exit 2
+if [ "$(uname -m)" != "aarch64" ]; then
+ exit 2
+fi
if perf version --build-options | grep HAVE_DWARF_UNWIND_SUPPORT | grep -q OFF
then
--
2.34.1
next prev parent reply other threads:[~2024-04-10 10:35 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-10 10:34 [PATCH v2 0/4] perf test: "object code reading" test fixes James Clark
2024-04-10 10:34 ` [PATCH v2 1/4] perf tests: Make "test data symbol" more robust on Neoverse N1 James Clark
2024-04-10 10:34 ` [PATCH v2 2/4] perf tests: Apply attributes to all events in object code reading test James Clark
2024-04-10 10:34 ` [PATCH v2 3/4] perf map: Remove kernel map before updating start and end addresses James Clark
2024-04-10 10:34 ` James Clark [this message]
2024-04-10 16:17 ` [PATCH v2 0/4] perf test: "object code reading" test fixes Ian Rogers
2024-04-10 21:00 ` Arnaldo Carvalho de Melo
2024-04-10 18:49 ` Namhyung Kim
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240410103458.813656-5-james.clark@arm.com \
--to=james.clark@arm.com \
--cc=acme@kernel.org \
--cc=adrian.hunter@intel.com \
--cc=alexander.shishkin@linux.intel.com \
--cc=atrajeev@linux.vnet.ibm.com \
--cc=irogers@google.com \
--cc=jolsa@kernel.org \
--cc=kan.liang@linux.intel.com \
--cc=leo.yan@linux.dev \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-perf-users@vger.kernel.org \
--cc=mark.rutland@arm.com \
--cc=mingo@redhat.com \
--cc=namhyung@kernel.org \
--cc=peterz@infradead.org \
--cc=spoorts2@in.ibm.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.